[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TMemoryStream.Write

Write data to the stream.

## Declaration

Source position: objects.pp line 375

`procedure TMemoryStream.Write(`
`var Buf;`
`Count: LongInt`
`); virtual;`

## Description

Write copies Count bytes from Buf to the stream. It updates the position of the stream.

If not enough memory is available to hold the extra Count bytes, then the stream will try to expand, by allocating as much blocks with size BlkSize (as specified in the constuctor call Init) as needed.

For an example, see TStream.Read.

## Errors

If the stream cannot allocate more memory, then the status is set to stWriteError

## See also

TStream.Write |  | Write a number of bytes to the stream.
TMemoryStream.Read |  | Read data from the stream to a location in memory.

Documentation generated on: Feb 26 2014